Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server.impl.invocation
Class JBossInterceptorStack

    java.lang.Object
      org.jboss.portal.server.impl.invocation.JBossInterceptorStack

All Implemented Interfaces:
  org.jboss.portal.common.invocation.InterceptorStack

    public class JBossInterceptorStack

extends java.lang.Object
implements org.jboss.portal.common.invocation.InterceptorStack

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Field Summary
`static org.jboss.portal.common.invocation.InterceptorStack` | `EMPTY_STACK` .

Constructor Summary
`JBossInterceptorStack(org.jboss.portal.common.invocation.Interceptor interceptor)`
`JBossInterceptorStack(org.jboss.portal.common.invocation.Interceptor[] interceptors)`

Method Summary
`org.jboss.portal.common.invocation.Interceptor` | `getInterceptor(int index)`
`int` | `getLength()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_STACK

    public static final org.jboss.portal.common.invocation.InterceptorStack EMPTY_STACK

  .

Constructor Detail

### JBossInterceptorStack

    public JBossInterceptorStack(org.jboss.portal.common.invocation.Interceptor interceptor)

### JBossInterceptorStack

    public JBossInterceptorStack(org.jboss.portal.common.invocation.Interceptor[] interceptors)

Method Detail

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `org.jboss.portal.common.invocation.InterceptorStack`

### getInterceptor

    public org.jboss.portal.common.invocation.Interceptor getInterceptor(int index)
                                                                  throws java.lang.ArrayIndexOutOfBoundsException

  Specified by:
    `getInterceptor` in interface `org.jboss.portal.common.invocation.InterceptorStack`
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD